io.vertx.ext.dropwizard.reporters

## Class JmxReporter

- java.lang.Object
- - io.vertx.ext.dropwizard.reporters.JmxReporter

- All Implemented Interfaces:
    Closeable, AutoCloseable

      public class JmxReporter
      extends Object
      implements Closeable

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `JmxReporter.Builder` A builder for `JmxReporter` instances.
    `static interface` | `JmxReporter.JmxCounterMBean`
    `static interface` | `JmxReporter.JmxGaugeMBean`
    `static interface` | `JmxReporter.JmxHistogramMBean`
    `static interface` | `JmxReporter.JmxMeterMBean`
    `static interface` | `JmxReporter.JmxThroughputMeterMBean`
    `static interface` | `JmxReporter.JmxThroughputTimerMBean`
    `static interface` | `JmxReporter.JmxTimerMBean`
    `static interface` | `JmxReporter.MetricMBean`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Stops the reporter.
    `static JmxReporter.Builder` | `forRegistry(com.codahale.metrics.MetricRegistry registry)` Returns a new `JmxReporter.Builder` for `JmxReporter`.
    `void` | `start()` Starts the reporter.
    `void` | `stop()` Stops the reporter.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### forRegistry

          public static JmxReporter.Builder forRegistry(com.codahale.metrics.MetricRegistry registry)

      Returns a new `JmxReporter.Builder` for `JmxReporter`.
      Parameters:
        `registry` - the registry to report
      Returns:
        a `JmxReporter.Builder` instance for a `JmxReporter`

    - #### start

          public void start()

      Starts the reporter.

    - #### stop

          public void stop()

      Stops the reporter.

    - #### close

          public void close()

      Stops the reporter.
      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`

Copyright © 2020 Eclipse. All rights reserved.